Package org.apache.jmeter.visualizers.backend

# Class ErrorMetric

java.lang.Object
org.apache.jmeter.visualizers.backend.ErrorMetric

public class ErrorMetric extends Object
Object representing an error by a response code and response message

Since:
  3.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorMetric()`
  `ErrorMetric(SampleResult result)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getResponseCode()`
  `String`
  `getResponseMessage()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorMetric

    public ErrorMetric()

  - ### ErrorMetric

    public ErrorMetric(SampleResult result)

- ## Method Details

  - ### getResponseCode

    public String getResponseCode()
    Returns:
      the response code , '0' if the code is empty

  - ### getResponseMessage

    public String getResponseMessage()
    Returns:
      the response message, 'none' if the code is empty

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`